package com.kingdee.eas.custom.compensation.push_bill;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PayrollDistributionSlipEntryCollection extends AbstractObjectCollection 
{
    public PayrollDistributionSlipEntryCollection()
    {
        super(PayrollDistributionSlipEntryInfo.class);
    }
    public boolean add(PayrollDistributionSlipEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PayrollDistributionSlipEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PayrollDistributionSlipEntryInfo item)
    {
        return removeObject(item);
    }
    public PayrollDistributionSlipEntryInfo get(int index)
    {
        return(PayrollDistributionSlipEntryInfo)getObject(index);
    }
    public PayrollDistributionSlipEntryInfo get(Object key)
    {
        return(PayrollDistributionSlipEntryInfo)getObject(key);
    }
    public void set(int index, PayrollDistributionSlipEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PayrollDistributionSlipEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PayrollDistributionSlipEntryInfo item)
    {
        return super.indexOf(item);
    }
}